{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./hardware-configuration.nix
      ./desktop.nix
  ];

  networking = {
    hostName = "edison";
    defaultGateway = "192.168.10.1";

    # Networking / Wi-Fi is configured with NM for now. TODO
    networkmanager.enable = true;
  };

  console.keyMap = "us";

  # sops.defaultSopsFile = ../../secrets/edison/edison.yaml;

  environment.variables = { EDITOR = "vim"; };
  environment.systemPackages = with pkgs; [
    pavucontrol
  ];

  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
    "nvidia-x11"
    "nvidia-settings"
  ];

  system.stateVersion = "23.05";
}

